<?php
/**
 * Created by PhpStorm.
 * User: Joseg
 * Date: 2/7/2018
 * Time: 4:14 AM
 */

include '../comun/validarSesion.php';
if (isset($_REQUEST['token'])) {
    $Valido = new validator();
    if ($Valido->checkToken($_REQUEST['token'])){
        if (isset($_REQUEST['estado']) && isset($_REQUEST['idCaseta'])) {
            $casetavigilancia = R::load('casetavigilancia', $_REQUEST['idCaseta']);
            $casetavigilancia->fechaModificacion = date('Y-m-d H:i:s');
            $casetavigilancia->estado = $_REQUEST['estado'];
            $id = R::store($casetavigilancia);
            include '../comun/mensajeModificado.php';

        }else{
            include '../comun/mensajeFaltanCampos.php';
        }
    }else{
        include '../comun/mensajeDatosInvalidos.php';
    }
}else{
    include '../comun/mensajeSesionInvalida.php';
}